List products
curl --request POST \
--url https://api.metronome.com/v1/contract-pricing/products/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archive_filter": "NOT_ARCHIVED"
}
'import requests
url = "https://api.metronome.com/v1/contract-pricing/products/list"
payload = { "archive_filter": "NOT_ARCHIVED" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({archive_filter: 'NOT_ARCHIVED'})
};
fetch('https://api.metronome.com/v1/contract-pricing/products/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9c9a4a71-171e-41f9-b8da-d982baf1a388",
"type": "COMPOSITE",
"archived_at": null,
"initial": {
"name": "My Composite Product",
"starting_at": "2020-01-01T00:00:00.000Z",
"composite_product_ids": [
"e5e40bc7-ef69-42ec-a77e-cd696f6bfa3d"
],
"created_at": "2019-12-30T04:24:55.123Z",
"created_by": "Bob"
},
"current": {
"name": "My Updated Composite Product Name",
"starting_at": "2020-01-01T00:00:00.000Z",
"composite_product_ids": [
"e5e40bc7-ef69-42ec-a77e-cd696f6bfa3d"
],
"created_at": "2019-12-30T04:24:55.123Z",
"created_by": "Bob"
},
"updates": [
{
"name": "My Updated Composite Product Name",
"starting_at": "2020-02-01T00:00:00.000Z",
"created_at": "2019-12-30T09:24:55.123Z",
"created_by": "Alice"
}
],
"custom_fields": {
"x_account_id": "KyVnHhSBWl7eY2bl"
}
}
],
"next_page": null
}Product
List products
Get a paginated list of all products in your organization with their complete configuration, version history, and metadata. By default excludes archived products unless explicitly requested via the archive_filter parameter.
POST
/
v1
/
contract-pricing
/
products
/
list
List products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Max number of results that should be returned
Required range:
1 <= x <= 100Cursor that indicates where the next page of results should start.
Body
application/json
Get list of products
Filter options for the product list. If not provided, defaults to not archived.
Available options:
ARCHIVED, NOT_ARCHIVED, ALL ⌘I